#
# spec file for package ghc-ofx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name ofx
Name:           ghc-%{pkg_name}
Version:        0.4.2.0
Release:        6.3
Summary:        Parser for OFX data
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-time-devel

%description
A parser for Open Financial Exchange (OFX) financial data. This handles OFX
version 1.03, which is documented at http://www.ofx.net This also handles QFX,
which is OFX plus some minor additions made by Intuit, the publishers of
Quicken.

The parser will place all the data into a tree, which you can query for
whatever data you may need, although you will need to be familiar with the OFX
spec to do this. There is also a Transaction type which you can easily parse
from the tree; this will contain most, perhaps all, of the data you will be
interested in if your OFX file is from a bank or credit card account.

All the OFX and QFX files I have seen use the format from the 1.0 series of
OFX, which is primarily SGML based. OFX version 2 is XML based. This parser
likely will not work on those files.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/renderOfx
%{_bindir}/renderTransactions

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 0.4.2.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.0.4 revision 0 with cabal2obs.
